Skip to main content
Get a leaderboard for a title using event-based or title-based stats.

Syntax

Parameters

xboxLiveContext   _In_
Type: XblContextHandle
An XBOX services context handle created with XblContextCreateHandle. leaderboardQuery   _In_
Type: XblLeaderboardQuery
The query parameters of the leaderboard request. async   _In_
Type: XAsyncBlock*
Caller allocated AsyncBlock.

Return value

Type: HRESULT HRESULT return code for this API operation.

REST Call

V4 GET https://leaderboards.xboxlive.com/users/xuid({xuid})/scids/{scid}/stats/{statname}/people/{all|favorites}[?sort=descending|ascending]&skipToUser={skipToUser}

Requirements

Header: leaderboard_c.h Library: Microsoft.Xbox.Services.142.C.lib or Microsoft.Xbox.Services.143.C.lib

See also

leaderboard_c
Last modified on October 29, 2026